%define version 20030610
%define rel 1
%define CHROOTDIR /var/spool/vscan

Summary:   sagator - antivir gateway for smtp server
Name:      sagator
Version:   %{version}
Release:   %rel
Source:    http://www.salstar.sk/pub/antivir/snapshots/sagator-%{version}.tar.bz2
URL:       http://www.salstar.sk/pub/antivir/sagator/
Copyright: GPL
Group:     System Environment/Daemons
Requires:  python >= 1.5.2
Requires:  initscripts
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	python >= 1.5.2
BuildRequires:	initscripts

%description
This package is an interface between smtp server and antivir/spamchecker.

%prep
%setup -n %{name}

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/spool/vscan/tmp/quarantine

%post
if [ -x /sbin/chkconfig ]; then
  chkconfig --add sagator
fi
id vscan || adduser vscan
/usr/sbin/mkchroot.sagator %{CHROOTDIR}

%preun
[ "%{CHROOTDIR}" != "/" ] && rm -rf %{CHROOTDIR}/*
if [ "$1" = 0 ] ; then
  if [ -x /sbin/chkconfig ]; then
    chkconfig --del sagator
  fi
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/sagator.config
%config /usr/lib/sagator/config.py
%{_sysconfdir}/rc.d/init.d/*
%doc README TODO COPYING
/usr/bin/*
/usr/sbin/*
%dir /usr/lib/sagator
/usr/lib/sagator/*
%dir /var/spool/vscan
%defattr(1777,vscan,vscan)
%dir /var/spool/vscan/tmp
%dir /var/spool/vscan/tmp/quarantine

%changelog
* Tue Jun 10 2003 Jan ONDREJ (SAL) <ondrejj@salstar.sk>
- first release
